Last Comment Bug 776054 - Enable SVG display lists
: Enable SVG display lists
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal with 2 votes (vote)
: mozilla17
Assigned To: Jonathan Watt [:jwatt] (back in October - email directly if necessary)
:
Mentors:
Depends on: 779893 801949 836768 852101 873401 895245 1066435 1126940 614732 777430 778995 779514 780354 782972 786894 797507 806432 812795 815462 818841 820061 820506 821152 823179 828286 840503 860192 875329 948567 956498 987590
Blocks: 779683 779685
  Show dependency treegraph
 
Reported: 2012-07-20 11:33 PDT by Jonathan Watt [:jwatt] (back in October - email directly if necessary)
Modified: 2015-01-28 20:11 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch - flip prefs to enable SVG display lists [r=roc in bug 614732] (1016 bytes, patch)
2012-08-01 15:53 PDT, Jonathan Watt [:jwatt] (back in October - email directly if necessary)
jwatt: review+
Details | Diff | Splinter Review

Description Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-07-20 11:33:03 PDT
Splitting this out from bug 614732. The plan is to land the patches to implement SVG display lists in bug 614732, and then enable SVG display lists in this bug after the patches for bug 755084 have landed and have been enabled.
Comment 1 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-07-25 18:44:00 PDT
Off-main-thread-animations are going to cause problems wherever we've got an nsDisplayTransform that combines a transform due to CSS styling with another transform (e.g. a transform imposed by SVG viewbox or 'transform' attribute). A CSS animation on such an element will modify the layer's transform directly, wiping out any modifications made by SVG.

To fix this, we should ensure that CSS transforms aren't mixed with other transforms in the same nsDisplayTransform. We may need to create multiple nsDisplayTransforms for the same element. That's OK as long as they always have different display-item-keys.
Comment 2 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-08-01 15:53:53 PDT
Created attachment 648126 [details] [diff] [review]
patch - flip prefs to enable SVG display lists [r=roc in bug 614732]
Comment 3 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-08-01 16:34:32 PDT
As discussed with jet and roc, I've pushed the patch to enable SDL without addressing comment 1 yet. This is in order to gather info on any regressions as early as possible, and to maxixmize our chances of fixing them before the next uplift.

https://hg.mozilla.org/integration/mozilla-inbound/rev/b077c43a4306
Comment 4 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-08-01 16:43:22 PDT
Whether or not this sticks, I've spun comment 1 out into bug 779683 to address it there.
Comment 5 Ed Morley [:emorley] 2012-08-02 06:22:53 PDT
https://hg.mozilla.org/mozilla-central/rev/b077c43a4306
Comment 6 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-08-02 09:49:24 PDT
I've been looking through the Talos data since I pushed this. We got both wins and losses.

We got tscrollr wins on three platforms:

Linux:   http://goo.gl/0kBVd
Linux64: http://goo.gl/CHQGY
WinXP:   http://goo.gl/jcoZU

And tsvgr_opacity regression on three platforms:

WinXP:   http://goo.gl/1I2Ig
OSX10.7: http://goo.gl/prrp6
OSX64:   http://goo.gl/viosq

I don't think the tsvgr_opacity regressions are worth backing out for. I'd rather keep this enabled and get eyes on any functional regressions.
Comment 7 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-08-02 09:50:28 PDT
I'll work on figuring out and fixing the tsvgr_opacity regressions on Tuesday when I'm back online.
Comment 8 Mike Conley (:mconley) - (Needinfo me!) 2012-08-23 12:14:48 PDT
http://i.imgur.com/5HuQJ.png
Comment 9 Mike Conley (:mconley) - (Needinfo me!) 2012-08-23 12:15:10 PDT
Apologies - wrong bug.

Note You need to log in before you can comment on or make changes to this bug.